---
title: "AutoTrader UK API: Search | Perceptlayer"
description: "Search from AutoTrader UK as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/autotrader-uk/search
---

[APIs](https://perceptlayer.com/apis) / [AutoTrader UK](https://perceptlayer.com/apis/autotrader-uk) / Search

# AutoTrader UK: Search

Search from AutoTrader UK as JSON. 1 credit per successful call.

GET `/v1/autotrader-uk/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `postcode` | string | Required | Up to 8 characters |
| `price_search_type` | string | Optional | total, monthly |
| `make` | string | Optional | Up to 100 characters |
| `model` | string | Optional | Up to 100 characters |
| `body_type` | string | Optional | Up to 100 characters |
| `colour` | string | Optional | Up to 100 characters |
| `transmission` | string | Optional | Up to 100 characters |
| `seller_type` | string | Optional | private, trade |
| `fuel_type[]` | list of string | Optional | Up to 50 characters |
| `min_price` | integer | Optional | Any |
| `max_price` | integer | Optional | Any |
| `min_year_manufactured` | integer | Optional | Any |
| `max_year_manufactured` | integer | Optional | Any |
| `min_mileage` | integer | Optional | Any |
| `max_mileage` | integer | Optional | Any |
| `distance` | integer | Optional | Any |
| `sort` | string | Optional | relevance, price\_asc, price\_desc, distance, mileage, year\_dsc, year\_asc, most\_recent |
| `page` | integer | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/autotrader-uk/search?postcode=SW1A1AA&price_search_type=total&make=BMW&sort=relevance&page=1" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/autotrader-uk?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
